%define nagios_plugins_dir %{_libdir}/nagios/plugins

Name:           nagios-plugins-snmp-disk-proc
Version:        1.2
Release:        8%{?dist}
Summary:        Nagios SNMP plugins to monitor remote disk and processes

Group:          Applications/System
# Version intent from README
License:        GPLv2
URL:            http://henning.schmiedehausen.org/eyewiki/Wiki.jsp?page=NagiosSnmpPlugins
Source0:        http://www.softwareforge.de/releases/nagios-snmp-plugins/nagios-snmp-plugins-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake
BuildRequires:  net-snmp-devel
BuildRequires:  openssl-devel
BuildRequires:  tcp_wrappers-devel
Requires:       nagios-plugins

%description
These plugins allow you to monitor disk space and running processes on
a remote machine via SNMP.


%prep
%setup -q -n nagios-snmp-plugins-%{version}

%build
touch ChangeLog
aclocal
autoheader
automake --add-missing
autoconf
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{nagios_plugins_dir}
install -p -m 755 check_snmp_disk $RPM_BUILD_ROOT/%{nagios_plugins_dir}
install -p -m 755 check_snmp_proc $RPM_BUILD_ROOT/%{nagios_plugins_dir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{nagios_plugins_dir}/check_snmp_disk
%{nagios_plugins_dir}/check_snmp_proc


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec  2 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2-7
- rebuild for new net-snmp

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 1.2-6
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 1.2-3
- rebuild with new openssl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2-2
- Autorebuild for GCC 4.3

* Tue Feb 19 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2-1
- bump to 1.2

* Wed Dec 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1-1
- correct URL
- bump to 1.1
- fix license
- Patch is obsolete

* Wed Dec  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-3
- BR: tcp_wrappers-devel.

* Wed Dec  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-2
- Rebuild (net-snmp 5.3 -> 5.4).

* Sat Aug 12 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-1
- Initial build.
